## slimit 0.8.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/slimit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/slimit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/slimit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/slimit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## slimit 0.6.2

=== debian/changelog ===
slimit (0.6.2-1) unstable; urgency=low

  * Initial release (Closes: #662756)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 09 Apr 2012 00:21:58 +0900

=== debian/control ===
Source: slimit
Section: devel
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 8.0.0)
	, python-all
	, python-setuptools
Standards-Version: 3.9.3
Homepage: http://slimit.org/
X-Python-Version: >= 2.7
Vcs-Svn: svn://svn.debian.org/python-apps/packages/slimit/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/slimit/trunk/

Package: slimit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: JavaScript minifier/parser in Python
 SlimIt is a JavaScript minifier written in Python. It compiles JavaScript
 into more compact code so that it downloads and runs faster.
 .
 SlimIt also provides a library that includes a JavaScript parser, lexer,
 pretty printer and a tree visitor.

=== debian/watch ===
version=3
https://github.com/rspivak/slimit/tags .*/tarball/(\d[\d\.]+)

## slimit 0.7.3

=== debian/changelog ===
slimit (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 22 May 2012 23:36:37 +0900

slimit (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 21 May 2012 10:10:05 +0900

slimit (0.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add python-pkg-resources to Depends.(Closes: #672915)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 16 May 2012 10:01:34 +0900

slimit (0.7-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 19 Apr 2012 12:04:22 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slimit
 Section: devel
 Priority: extra
-Maintainer: TANIGUCHI Takaki <takaki@debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
 	, python-all
 	, python-setuptools
@@ -14,6 +15,7 @@
 Package: slimit
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+	, python-pkg-resources
 Description: JavaScript minifier/parser in Python
  SlimIt is a JavaScript minifier written in Python. It compiles JavaScript
  into more compact code so that it downloads and runs faster.

## slimit 0.7.4

=== debian/changelog ===
slimit (0.7.4-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 10 Jun 2012 20:18:27 +0900

## slimit 0.8.1

=== debian/changelog ===
slimit (0.8.1-9) unstable; urgency=medium

  * Team upload.
  * Remove obsolete dependency on python3-pkg-resources (closes: #1083773).
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 07 Jan 2026 23:03:40 +0000

slimit (0.8.1-8) unstable; urgency=medium

  * Team upload
  * fix-python3.patch: refresh
  * Revert usage pf 2to3

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 23 Aug 2024 07:12:12 -0300

slimit (0.8.1-7) unstable; urgency=medium

  * Team upload.
  * Add build dependency on python3-lib2to3 (Closes: #1076961)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 21 Aug 2024 15:12:40 -0300

slimit (0.8.1-6) unstable; urgency=medium

  * Team upload.
  * Exclude running test_lexer
  * Replace python3 patch with upstream's patch (Closes: #1020046)

 -- Bastian Germann <bage@debian.org>  Sun, 23 Oct 2022 18:28:03 +0200

slimit (0.8.1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 20:36:05 -0400

slimit (0.8.1-4) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 01:31:56 +0200

slimit (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * Add breaks/replaces headers. Closes: #855510.

 -- Brian May <bam@debian.org>  Tue, 21 Feb 2017 17:47:50 +1100

slimit (0.8.1-2) unstable; urgency=medium

  * debian/control: Update homepage URL. (Closes: #740807)
  * Split into python-slimit and python3-slimit. (Closes: #779321)
  * Bump Standards-Version 3.9.8
  * debian/control: Update Vcs-*.

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 03 Feb 2017 16:37:12 +0900

slimit (0.8.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * debian/watch: Update to new github source archive URL.
  * New upstream release
    + Drop debian/patches/drop_depend_odict. upstream does not require.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 08 May 2013 21:24:21 +0900

=== debian/control ===
Source: slimit
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-ply,
 python3-pytest,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://slimit.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/slimit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/slimit
X-Style: black

Package: slimit
Architecture: all
Depends:
 python3-slimit,
 ${misc:Depends},
 ${python3:Depends},
Description: JavaScript minifier/parser in Python
 SlimIt is a JavaScript minifier written in Python. It compiles JavaScript
 into more compact code so that it downloads and runs faster.
 .
 SlimIt also provides a library that includes a JavaScript parser, lexer,
 pretty printer and a tree visitor.
 .
 This package contains the executable.

Package: python3-slimit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: JavaScript minifier/parser in Python
 SlimIt is a JavaScript minifier written in Python. It compiles JavaScript
 into more compact code so that it downloads and runs faster.
 .
 SlimIt also provides a library that includes a JavaScript parser, lexer,
 pretty printer and a tree visitor.
 .
 This package contains the Python 3 module

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=slimit
export PYBUILD_TEST_ARGS=--ignore slimit/tests/test_lexer.py

PREFIX3 = debian/python3-slimit
PREFIXC = debian/slimit

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	# Drop django-admin{,.py} which is in python-django-common and
	# clean up empty parent directories
	mv $(PREFIX3)/usr/bin/slimit $(PREFIXC)/usr/bin/slimit
